/************************************************************************
*									*
* The SB-Prolog System							*
* Copyright SUNY at Stony Brook, 1986; University of Arizona,1987	*
*									*
************************************************************************/

/*-----------------------------------------------------------------
SB-Prolog is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY.  No author or distributor
accepts responsibility to anyone for the consequences of using it
or for whether it serves any particular purpose or works at all,
unless he says so in writing.  Refer to the SB-Prolog General Public
License for full details.

Everyone is granted permission to copy, modify and redistribute
SB-Prolog, but only under the conditions described in the
SB-Prolog General Public License.   A copy of this license is
supposed to have been given to you along with SB-Prolog so you
can know your rights and responsibilities.  It should be in a
file named COPYING.  Among other things, the copyright notice
and this notice must be preserved on all copies. 
------------------------------------------------------------------ */

/* This file contains the names of built-in predicates and their
   builtin numbers.  The idea is that if the predicate isn't
   defined in the file, the compiler can directly generate the
   "builtin" instruction instead of having to go through an expensive
   procedure call.						   */


$compile_builtin($get0,1,18).
$compile_builtin(get0,1,18).
$compile_builtin($get,1,19).
$compile_builtin(get,1,19).
$compile_builtin($put0,1,24).
$compile_builtin($tab0,1,24).
$compile_builtin($see0,1,30).
$compile_builtin($seeing,1,31).
$compile_builtin(seeing,1,31).
$compile_builtin($seen,0,32).
$compile_builtin(seen,0,32).
$compile_builtin($tell,2,33).
$compile_builtin(tell,2,33).
$compile_builtin($telling,1,34).
$compile_builtin(telling,1,34).
$compile_builtin($told,0,35).
$compile_builtin(told,0,35).
$compile_builtin($hashval,3,43).
$compile_builtin($conlength,2,54).
$compile_builtin(conlength,2,54).
$compile_builtin($write4,1,59).
$compile_builtin($buff_code,4,77).
$compile_builtin($bldstr,3,84).
$compile_builtin($writeqname,1,130).
$compile_builtin($writename,1,133).
